import 'package:daniulive/views/publish_view.dart';
import 'package:fis_lib_media_rt/implementations/nt_rtmp/channel/channel.dart';
import 'package:fis_lib_media_rt/implementations/nt_rtmp/native_share.dart';
import 'package:flutter/material.dart';

class InnerView extends StatefulWidget {
  final NTPublishChannel channel;
  const InnerView({super.key, required this.channel});

  @override
  State<StatefulWidget> createState() => _InnerViewState();
}

class _InnerViewState extends State<InnerView> {
  @override
  Widget build(BuildContext context) {
    return PublishView(controller: NTNativeShare.publishController!);
  }
}
